%bcond_without check

%global goipath         github.com/npat-efault/poller
Version:                2.0.0

%gometa

%global common_description %{expand:
An epoll(7)-based file-descriptor multiplexer.}

%global golicenses      LICENSE.txt
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        An epoll(7)-based file-descriptor multiplexer

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%ifnarch ppc64le
%if %{with check} 
%check
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0.0-2
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
